/**
 * Created by mauro douglas on 21/11/16.
 */
var AdmErroIntegracoes = function() {
    this.mapper = mapperFactory.createMapperMult(["AdmErroPdvVdIntegracoes"]);
};

AdmErroIntegracoes.prototype.gerenciaErro = function(metodo, json){
	if(!json){
		 throw {code: 599, message: "Dados passados ao servidor inválido!"};
	}
	try{
		if(metodo == 'POST'){
			this.mapper.insert("AdmErroPdvVdIntegracoes.incluirAdmErroPdvVdIntegracoes", json);
		}else if(metodo == 'PUT'){
			this.mapper.update("AdmErroPdvVdIntegracoes.alterarAdmErroPdvVdIntegracoes", json);
		}else if(metodo == 'DELETE'){
			//this.mapper.update("AdmErroPdvVdIntegracoes.excluirAdmErroPdvVdIntegracoes", {"cdEmp":json.get("cdEmp") , "cdForn":json.get("cdForn") , "cdFornVinculado":json.get("cdFornVinculado")});
		}else{
			throw {code: 599, message: "Método de requisição não encontrado!"};
		}

		this.mapper.commit();
	}catch(err){
		this.mapper.rollback();
		throw err;
	}finally{
		this.mapper.close();
	}
};
